org.apache.http.client.protocol

## Class RequestAuthCache

- java.lang.Object
- - org.apache.http.client.protocol.RequestAuthCache

- All Implemented Interfaces:
    org.apache.http.HttpRequestInterceptor

      @Contract(threading=IMMUTABLE)
      public class RequestAuthCache
      extends Object
      implements org.apache.http.HttpRequestInterceptor

  Request interceptor that can preemptively authenticate against known hosts, if there is a cached `AuthScheme` instance in the local `AuthCache` associated with the given target or proxy host.
  Since:
    4.1

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestAuthCache()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `process(org.apache.http.HttpRequest request, org.apache.http.protocol.HttpContext context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestAuthCache

          public RequestAuthCache()

  - ### Method Detail

    - #### process

          public void process(org.apache.http.HttpRequest request,
                     org.apache.http.protocol.HttpContext context)
                       throws org.apache.http.HttpException,
                              IOException

      Specified by:
        `process` in interface `org.apache.http.HttpRequestInterceptor`
      Throws:
        `org.apache.http.HttpException`
        `IOException`

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.